﻿@model IEnumerable<BeerOverFlow.Models.BreweryViewModel>

@{
    ViewData["Title"] = "ListBreweries";
}
    <style>
        th {
            color: white;
        }

        td {
            color: white;
        }
    </style>
@if (User.IsInRole("Admin"))
{
    <p>
        <a asp-controller="Brewery" asp-action="CreateBrewery">Create New</a>
    </p>
}

<table class="table">
    <thead>
        <tr>
           
            <th>
                <h3>Brewery</h3>
            </th>
            <th>
                <h3>Country</h3>
            </th>
            @if (User.IsInRole("Admin"))
            {
                <th>
                    <h3> Edit</h3>
                </th>
                <th>
                    <h3> Delete</h3>
                </th>
            }

        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    <a asp-action="BreweryDetails" asp-route-id="@item.BreweryId">
                        @Html.DisplayFor(modelItem => item.BreweryName)
                    </a>
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CountryName)
                </td>
                @if (User.IsInRole("Admin"))//User.IsInRole())
                {
                    <td>
                        <a asp-controller="Brewery" asp-action="EditBrewery" asp-route-id="@item.BreweryId">Edit</a>
                    </td>
                    <td>
                        <a asp-action="DeleteBrewery" asp-route-id="@item.BreweryId">Delete</a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
